package ctbrec.ui.sites.flirt4free;

import java.io.IOException;

import ctbrec.sites.ConfigUI;
import ctbrec.sites.flirt4free.Flirt4Free;
import ctbrec.ui.TabProvider;
import ctbrec.ui.sites.AbstractSiteUi;

public class Flirt4FreeSiteUi extends AbstractSiteUi {

    private Flirt4Free flirt4Free;
    private Flirt4FreeTabProvider tabProvider;
    private Flirt4FreeConfigUI configUi;

    public Flirt4FreeSiteUi(Flirt4Free flirt4Free) {
        this.flirt4Free = flirt4Free;
        tabProvider = new Flirt4FreeTabProvider(flirt4Free);
        configUi = new Flirt4FreeConfigUI(flirt4Free);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return configUi;
    }

    @Override
    public synchronized boolean login() throws IOException {
        return flirt4Free.login();
    }
}
